Page MenuHomePhabricator

Provide a standard way to get the target of a redirect page
Closed, ResolvedPublic

Description

A function like that would help users to get the content of the target page, and we would not need to parse the content of the redirect page as I'm doing now
https://pt.wikipedia.org/w/index.php?diff=prev&oldid=39203823

Details

Reference
bz66974
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:32 AM
bzimport set Reference to bz66974.
He7d3r created this task.Jun 23 2014, 10:50 AM

Change 168282 had a related patch set uploaded by Ricordisamoa:
Provide a standard way to get the target of a redirect page

https://gerrit.wikimedia.org/r/168282

Change 168282 had a related patch set uploaded (by Ricordisamoa):
Provide a standard way to get the target of a redirect page

https://gerrit.wikimedia.org/r/168282

Patch-For-Review

Change 168282 had a related patch set uploaded (by Ricordisamoa):
Provide a standard way to get the target of a redirect page

https://gerrit.wikimedia.org/r/168282

Change 168282 merged by jenkins-bot:
Provide a standard way to get the target of a redirect page

https://gerrit.wikimedia.org/r/168282

Ricordisamoa closed this task as Resolved.May 12 2016, 7:40 PM
Ricordisamoa removed a project: Patch-For-Review.
Ricordisamoa removed a subscriber: gerritbot.
Rical added a subscriber: Rical.May 18 2016, 7:37 AM
Johan added a subscriber: Johan.May 26 2016, 7:43 PM

As this has been marked with user-notice, to make sure I don't make any mistakes: How would suggest phrasing this to explain to non-technical editors how this affects and them? How will they notice this in their daily editing?

@Johan : non-technical users won't be affected. This affects only those who work with Scribunto modules...

Johan added a comment.May 26 2016, 8:28 PM

Excellent, then I wasn't missing anything. (: Thanks.

Rical removed a subscriber: Rical.Jul 21 2017, 9:47 AM